# This is the configuration file for the news headline scraper.
# Add configurations for different news websites here.

database:
  host: "localhost"       # Your database host (e.g., localhost, 127.0.0.1)
  user: "deshisol_admin"    # Your database username
  password: "ShafinTheGreat" # Your database password
  database: "deshisol_nscraper" # The name of your database

sites:
  # Prothom Alo configurations
  Prothom Alo:
    - url: https://www.prothomalo.com/collection/latest
      minimum_headlines: 5
      selectors:
        headline_item: 'h3.headline-title'
        headline_link: 'a.title-link'
        headline_text: 'span.tilte-no-link-parent'
        
  # The Daily Star configurations
  "The Daily Star":
    - url: https://bangla.thedailystar.net/todays-news
      minimum_headlines: 1
      selectors:
        headline_item: 'div.row.align-justify.f-card-wrapper'
        headline_link: 'h3.title a'
        headline_text: 'h3.title a'

  # BBC Bengali configurations
  BBC Bengali:
    - url: https://www.bbc.com/bengali
      minimum_headlines: 10
      selectors:
        headline_item: 'ul[data-testid="topic-promos"] > li'
        headline_link: 'h3 a.bbc-1i4ie53'

    - url: https://www.bbc.com/bengali
      minimum_headlines: 5
      selectors:
        headline_item: 'ol.bbc-7ncu7l > li'
        headline_link: 'a.bbc-diltzo'

  # Jugantor configurations
  Jugantor:
    - url: https://www.jugantor.com/latest
      minimum_headlines: 10
      selectors:
        headline_item: 'div.media.positionRelative'
        headline_link: 'a.linkOverlay'
        headline_text: 'h4.title10'

  # bdnews24 configurations
  bdnews24:
    - url: https://bangla.bdnews24.com/archive
      minimum_headlines: 8
      selectors:
        headline_item: 'div.SubCat-wrapper'
        headline_link: 'a'
        headline_text: 'div.SubcatList-detail h5' # Updated selector for bdnews24

  # banglanews24 configurations
  banglanews24:
    - url: https://www.banglanews24.com/todaynews
      minimum_headlines: 1
      selectors:
        headline_item: 'div.category-list ul > li'
        headline_link: 'a'
        headline_text: 'div.col-md-8.link p'

  Kalerkantho:
    - url: https://www.kalerkantho.com/special/recent
      minimum_headlines: 20
      selectors:
        headline_item: 'div.card-list-area div.col-md-3.mb-3'
        headline_link: 'div.card-body a.text-dark'
        headline_text: 'h5.card-title'

  Ittefaq:
    - url: https://www.ittefaq.com.bd/latest-news
      minimum_headlines: 5
      selectors:
        headline_item: 'div.contents_listing div.each.col_in'
        headline_link: 'h2.title a.link_overlay'

  # Daily Sun configurations
  "Daily Sun":
    - url: https://www.daily-sun.com/bangla/todays-news
      minimum_headlines: 10
      selectors:
        headline_item: 'div.border-bottom.mb-4.pb-4'
        headline_link: 'a.row'
        headline_text: 'h4.fw-bold'


  Bangladesh Pratidin:
    - url: https://www.bd-pratidin.com/online/todaynews
      minimum_headlines: 8
      selectors:
        headline_item: 'div.card.mb-3'
        headline_link: 'a.stretched-link'
        headline_text: 'h5.card-title'

  Bangla Tribune:
    - url: https://www.banglatribune.com/আজকের-খবর
      minimum_headlines: 5
      selectors:
        headline_item: 'div.contents.summery_view div.each.col_in'
        headline_link: 'a.link_overlay'
        headline_text: 'div.info div.title_holder span.title'

  "Jago News 24":
    - url: https://www.jagonews24.com/archive
      minimum_headlines: 10
      selectors:
        headline_item: 'div.col-sm-12 div.single-block.auto'
        headline_link: 'h3.no-margin a'

  # JaiJaiDin configurations
  "JaiJaiDin":
    # Configuration for the all news page
    - url: https://www.jaijaidinbd.com/all-news
      minimum_headlines: 15
      selectors:
        headline_item: 'div.col-md-6.latest-most-news'
        headline_link: 'a'
        headline_text: 'div.hl h2'
        
  # Daily Inqilab configurations
  "Daily Inqilab":
    - url: https://dailyinqilab.com/archive
      minimum_headlines: 10
      selectors:
        headline_item: 'div.box'
        headline_link: 'h3 a.headline'
        headline_text: 'h3 a.headline'
  
  # Samakal configurations
  "Samakal":
    - url: https://samakal.com/latest/news
      minimum_headlines: 10
      selectors:
        headline_item: 'div.CatListNews'
        headline_link: 'a'
        headline_text: 'div.CatListhead h3'

  # Amader Shomoy configurations
  "Amader Shomoy":
    - url: https://www.amadershomoy.com/archive#gsc.tab=0
      minimum_headlines: 10
      selectors:
        headline_item: 'div.postA.spc.mb-3'
        headline_link: 'a'
        headline_text: 'h3.entry-title'
  
  # Manab Zamin configurations
  "Manab Zamin":
    - url: https://mzamin.com/category.php?cat=1
      minimum_headlines: 10
      selectors:
        headline_item: 'h1, h4'
        headline_link: 'a'
        headline_text: 'a'
        
  # Dhaka Tribune configurations
  "Dhaka Tribune":
    - url: https://bangla.dhakatribune.com/latest-news
      minimum_headlines: 10
      selectors:
        headline_item: 'div.each.col_in'
        headline_link: 'h2.title a.link_overlay'
        headline_text: 'h2.title a.link_overlay'
        
  # Sarabangla configurations
  "Sarabangla":
    - url: https://sarabangla.net
      minimum_headlines: 10
      selectors:
        headline_item: 'div.w3-row-padding.w3-stretch h2'
        headline_link: 'h2 a'
        headline_text: 'h2 a'
        
  # Rising BD configurations
  "Rising BD":
    - url: https://www.risingbd.com/archives/
      minimum_headlines: 10
      selectors:
        headline_item: 'div.DCategoryListNews'
        headline_link: 'div.col-sm-8 a'
        headline_text: 'div.col-sm-8 a p.pHead'

